| Qore Swagger Module Reference 2.2.3

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
Swagger::SwaggerLoader Class Reference

Used for loading the Swagger definitions. More...

## Static Public Member Functions
static string | detectSourceEncoding (string str)
| tries to determine the Swagger schema source encoding automatically
static SwaggerSchema | fromFile (string filepath, *hash< auto > opts)
| Load Swagger definition from a file.
static SwaggerSchema | fromString (string swaggerSpecification, *bool json, *hash< auto > opts)
| Load Swagger definition from a string.
static SwaggerSchema | fromUrl (string url, *bool json, *hash< auto > opts)
| Load Swagger definition from a URL or file path.
static hash< auto > | parseSchemaContent (string filepath, string str)
| Load a schema definition from a file.
static hash< auto > | parseSchemaSource (string str, string ser)
| parses the source encoding from the given string

## Detailed Description

Used for loading the Swagger definitions.

## Member Function Documentation

## ◆ fromFile()

static SwaggerSchema Swagger::SwaggerLoader::fromFile | ( | string | filepath,
|  | *hash< auto > | opts )
| static

Load Swagger definition from a file.

Parameters

  filepath | path to the Swagger file
  opts | options as per SwaggerSchema::SwaggerOptions

Exceptions

  EMPTY-SCHEMA-FILE | Swagger file is empty
  JSON-MODULE-MISSING | trying to parse a JSON Swagger specification with the json module unavailable
  YAML-MODULE-MISSING | trying to parse a YAML Swagger specification with the yaml module unavailable
  XML-MODULE-MISSING | trying to parse an XML Swagger specification with the xml module unavailable

## ◆ fromString()

static SwaggerSchema Swagger::SwaggerLoader::fromString | ( | string | swaggerSpecification,
|  | *bool | json,
|  | *hash< auto > | opts )
| static

Load Swagger definition from a string.

Parameters

  swaggerSpecification | Swagger API specification
  json | whether the specification is in JSON or YAML format; if not given the source encoding will be detected automatically
  opts | options as per SwaggerSchema::SwaggerOptions

Exceptions

  JSON-MODULE-MISSING | trying to parse a JSON Swagger specification with JSON module unavailable
  YAML-MODULE-MISSING | trying to parse a YAML Swagger specification with YAML module unavailable

## ◆ fromUrl()

static SwaggerSchema Swagger::SwaggerLoader::fromUrl | ( | string | url,
|  | *bool | json,
|  | *hash< auto > | opts )
| static

Load Swagger definition from a URL or file path.

Parameters

  url | URL to the Swagger file; uses the FileLocationHandler to load the file
  json | whether the specification is in JSON or YAML format; if not given the source encoding will be detected automatically
  opts | options as per SwaggerOptions

Exceptions

  EMPTY-SCHEMA-FILE | Swagger file is empty
  JSON-MODULE-MISSING | trying to parse a JSON Swagger specification with the json module unavailable
  YAML-MODULE-MISSING | trying to parse a YAML Swagger specification with the yaml module unavailable
  XML-MODULE-MISSING | trying to parse an XML Swagger specification with the xml module unavailable

## ◆ parseSchemaContent()

static hash< auto > Swagger::SwaggerLoader::parseSchemaContent | ( | string | filepath,
|  | string | str )
| static

Load a schema definition from a file.

Parameters

  filepath | path to the schema file
  str | the file content to parse

Exceptions

  EMPTY-SCHEMA-FILE | schema file is empty
  JSON-MODULE-MISSING | trying to parse a JSON schema with the json module unavailable
  YAML-MODULE-MISSING | trying to parse a YAML schema specification with the yaml module unavailable
  XML-MODULE-MISSING | trying to parse an XML schema specification with the xml module unavailable